Skip to Content
OpenRoam Docs
eSIMs

List compatible devices

Lists the devices known to support eSIM.

GET
/v1/esims/compatible-devices

Lists the devices known to support eSIM.

Returns an array of { brand, model, os, deviceType, name, notes }, without paging.

Authorization

PartnerApiKey
headerX-Partner-Key<token>

Partner API Key (X-Partner-Key)

Response Body

OK

  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.sandbox.openroam.com/v1/esims/compatible-devices'
Example Response
[  {    "brand": "string",    "model": "string",    "os": "string",    "deviceType": "string",    "name": "string",    "notes": "string"  }]